/**
 * Delayed resolve utility.
 *
 * @example
 * ```ts
 * test('delayed resolve', async () => {
 *   const mockAPI = delayedResolve({ foo: 'bar' }, 2_000);
 *   const result = await mockAPI();
 * });
 * ```
 * @param result - The result of the promise.
 * @param duration - An optional duration in milliseconds. Defaults to 500.
 * @public
 */
export declare const delayedResolve: (result: unknown, duration?: number) => () => Promise<unknown>;
//# sourceMappingURL=promise.d.ts.map