/**
 * Default Global Configs, to be re-used (and possibly overridden) by each app
 * @public
 */
export const configDefaults = {
    globalSetup: '@genesislcap/foundation-testing/playwright',
    projects: [
        {
            name: 'Chrome Stable',
            use: {
                browserName: 'chromium',
                channel: 'chrome',
                ignoreHTTPSErrors: true,
                /**
                 * We should be able to use these 'use' blocks at the App level to provide config data to our micro frontends.
                 * This might include what backend to run against, what username password combo to use etc.
                 *
                 * config: AppLevelPkgConfig;
                 */
                // config: {
                //   API_HOST: 'wss://dev-foundation1/gwf/',
                //   DEFAULT_USER: process.env.DEFAULT_USER,
                //   DEFAULT_PASSWORD: process.env.DEFAULT_PASSWORD,
                //   PORT: 5030,
                // },
            },
        },
    ],
    testMatch: '**/*.e2e.ts',
    timeout: 60000,
    webServer: {
        command: 'npm run dev:no-open',
        url: `http://localhost:${process.env.PORT}`,
        timeout: 120000,
        reuseExistingServer: !process.env.CI,
    },
    use: {
        baseURL: `http://localhost:${process.env.PORT}`,
    },
};
