## API Report File for "@genesislcap/foundation-testing"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as assert from 'uvu/assert';
import { Constructable } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { DesignSystem } from '@microsoft/fast-foundation';
import { ExecutionContext } from '@microsoft/fast-element';
import type { FoundationElement } from '@microsoft/fast-foundation';
import { FoundationElementDefinition } from '@microsoft/fast-foundation';
import { FoundationElementRegistry } from '@microsoft/fast-foundation';
import { HTMLView } from '@microsoft/fast-element';
import { Logger } from '@genesislcap/foundation-logger';
import { Registration } from '@microsoft/fast-foundation';
import { default as sinon_2 } from 'sinon';
import { default as sinon_3 } from 'sinon';
import { suite } from 'uvu';
import { test } from 'uvu';
import { uvu } from 'uvu';
import { ViewTemplate } from '@microsoft/fast-element';

export { assert }

// @public
export interface ComponentContext<TElement = HTMLElement> extends Pick<Fixture<TElement>, 'element' | 'disconnect'> {
    // (undocumented)
    container: Container;
    // (undocumented)
    designSystem: DesignSystem;
    // (undocumented)
    runCases: RunCases;
}

// @public
export function createComponentSuite<TElement = HTMLElement>(title: string, elementNameOrGetter: string | ElementGetter, context?: ComponentContext<TElement>, registrations?: Registration<any>[]): uvu.Test<ComponentContext<TElement>>;

// @public
export function createLogicSuite<TContext = LogicContext>(title: string, context?: TContext): uvu.Test<TContext>;

// @public
export const delayedResolve: (result: unknown, duration?: number) => () => Promise<unknown>;

// @public (undocumented)
export type ElementGetter = () => FoundationElementRegistry<FoundationElementDefinition, FoundationElement>;

// @public
export type Equal<X, Y> = (<T>() => T extends X ? 1 : 2) extends <T>() => T extends Y ? 1 : 2 ? true : false;

// @public
export type Expect<T extends true> = T;

// @public
export type FilterConditionally<Source, Condition> = Pick<Source, {
    [K in keyof Source]: Source[K] extends Condition ? K : never;
}[keyof Source]>;

// @public
export interface Fixture<TElement = HTMLElement> {
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    document: Document;
    element: TElement;
    parent: HTMLElement;
    template: ViewTemplate;
    view: HTMLView;
}

// @public
export function fixture<TElement = HTMLElement>(templateNameOrRegistry: ViewTemplate | string | FoundationElementRegistry<FoundationElementDefinition, Constructable<TElement>> | [
FoundationElementRegistry<FoundationElementDefinition, Constructable<TElement>>,
...FoundationElementRegistry<FoundationElementDefinition, Constructable>[]
], options?: FixtureOptions): Promise<Fixture<TElement>>;

// @public
export interface FixtureOptions {
    context?: ExecutionContext;
    designSystem?: DesignSystem;
    document?: Document;
    parent?: HTMLElement;
    source?: any;
}

// @public
export const logger: Logger;

// @public
export interface LogicContext {
    // (undocumented)
    runCases?(fn: (value: any) => any, cases: [any, any, assert.Message?][]): void;
}

export { Registration }

// @public
export function resetTestHarness<T>(wrapper: WithTestHarness<T>): void;

// @public
export function restoreTestHarness<T>(wrapper: WithTestHarness<T>): void;

// @public (undocumented)
export type RunCases = (fn: (...args: unknown[]) => unknown, cases: [unknown[], unknown, string?][], assertion?: (...args: unknown[]) => void) => void;

// @public
export function runCases(fn: (...args: unknown[]) => unknown, cases: [unknown[], unknown, string?][], assertion?: (...args: unknown[]) => void): void;

export { sinon_2 as sinon }

// @public
export type SinonWrapper<T extends {
    [K in keyof T]: (...args: any) => any;
}> = {
    [K in keyof T]: sinon_3.SinonSpy<Parameters<T[K]>, ReturnType<T[K]>>;
};

// @public
export type SpiedFunctions<T> = Omit<FilterConditionally<T, (...args: any[]) => any>, 'constructor'>;

export { suite }

// @public
export type SuiteCallback<T> = uvu.Callback<ComponentContext<T>>;

export { test }

// @public
export function testSpy(constructor: Function): void;

// @public
export const timeout: (callback: (context: any) => Promise<any>, duration?: number) => (context: any) => Promise<any>;

export { uvu }

// @public
export type WithTestHarness<T extends {
    [k in keyof T]: any;
}> = T & SinonWrapper<SpiedFunctions<T>>;

// (No @packageDocumentation comment for this package)

```
