<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-testing](./foundation-testing.md) &gt; [createLogicSuite](./foundation-testing.createlogicsuite.md)

## createLogicSuite() function

Create logic test suite.

**Signature:**

```typescript
export declare function createLogicSuite<TContext = LogicContext>(title: string, context?: TContext): uvu.Test<TContext>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  title | string | Title of the test suite |
|  context | TContext | _(Optional)_ Optional context which extends [LogicContext](./foundation-testing.logiccontext.md) |

**Returns:**

uvu.Test&lt;TContext&gt;

The test suite

## Remarks

Used to test function output given certain input arguments.

## Example


```ts
import { createLogicSuite } from '@genesislcap/foundation-testing';
import { myFunction } from './logic';
const Suite = createLogicSuite('myFunction');
Suite('myFunction should provide expected results', ({ runCases }) => {
  runCases(myFunction, [
    [['1'], true],
    [[123], true],
    [['60%'], true],
    [['$60'], false],
    [['1.1'], false],
    [[''], false],
    [[true], false],
    [[null], false],
    [[undefined], false],
  ]);
});
Suite.run();
```

